## org.apache.batik.util.gui.xmleditor
Class XMLEditorKit.XMLViewFactory

    java.lang.Object
      org.apache.batik.util.gui.xmleditor.XMLEditorKit.XMLViewFactory

All Implemented Interfaces:
  javax.swing.text.ViewFactory

Enclosing class:
  XMLEditorKit

    protected class XMLEditorKit.XMLViewFactory

extends java.lang.Object
implements javax.swing.text.ViewFactory

A simple view factory implementation.

Constructor Summary
`protected` `XMLEditorKit.XMLViewFactory()`

Method Summary
`javax.swing.text.View` `create(javax.swing.text.Element elem)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLEditorKit.XMLViewFactory

    protected XMLEditorKit.XMLViewFactory()

Method Detail

### create

    public javax.swing.text.View create(javax.swing.text.Element elem)

  Specified by:
    `create` in interface `javax.swing.text.ViewFactory`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.